unit iANPR;

interface

uses opencv,  Windows;

const
	ANPR_DETECTMODE1	=		1;  //   
	ANPR_DETECTMODE2	=		2;  //      
	ANPR_DETECTMODE3	=		4;  //   

  // ,     
	ANPR_DETECTMODE4	=		8;  //      	

	ANPR_DETECTCOMPLEXMODE	=	ANPR_DETECTMODE2 or ANPR_DETECTMODE3 or ANPR_DETECTMODE4 ;

  //    
	ANPR_RUSSIAN_BASE		  =	0;  // 
	ANPR_RUSSIAN_BASE2		=	1;  //   
	ANPR_RUSSIAN_EXTENDED	=	2;  // ,    

  //  flags  ANPR_OPTIONS
	DEBUG_RECOGNITION_MODE	=	1;  //     ,        ( )
  	

type
  ANPR_OPTIONS = Record
    min_plate_size:integer;
	max_plate_size:integer;
  	Detect_Mode:integer;
  	max_text_size:integer;
	type_number:integer;
    flags:integer;
  end;

  ///anprPlateMemory( char* in_buffer, long  size_buffer, ANPR_OPTIONS Options, int* AllNumber, CvRect* Rects, char** Texts )
  function anprPlateMemoryRect( in_buffer: PChar; size_buffer: integer; Rect: TCvRect; Options: ANPR_OPTIONS; AllNumber: PInt; Rects: PRect; Texts: PPChar ): integer; stdcall; external 'iANPR_vc10_x86.dll' name 'anprPlateMemoryRect';

  //anprPlate( IplImage* Image8, ANPR_OPTIONS Options, int* AllNumber, CvRect* Rects, char** Texts );
  function anprPlate( Image8: pIplImage; Options: ANPR_OPTIONS; AllNumber: PInt; Rects: PRect; Texts: PPChar ): integer; stdcall; external 'iANPR_vc10_x86.dll' name 'anprPlate';
  function anprPlateRect( Image8: pIplImage; Rect: TCvRect; Options: ANPR_OPTIONS; AllNumber: PInt; Rects: PRect; Texts: PPChar ): integer; stdcall; external 'iANPR_vc10_x86.dll' name 'anprPlateRect';



implementation

end.
