unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Image1: TImage;
    EditIP: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    EditLogin: TEdit;
    Label3: TLabel;
    EditPassword: TEdit;
    ButtonStart: TButton;
    ButtonStop: TButton;
    MemoLog: TMemo;
    Timer1: TTimer;
    procedure ButtonStartClick(Sender: TObject);
    procedure ButtonStopClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
    start_ : boolean;

    iCounterPerSec: TLargeInteger;
    C1, C2: TLargeInteger;

    counter: TLargeInteger;
    cres: Real;
  public
    { Public declarations }

    //procedure Log(AnsiString s);

  end;

var
  Form1: TForm1;

implementation

uses Camera;

{$R *.dfm}

{procedure TForm1.Log(AnsiString s)
begin
  MemoLog.Lines.Add(s);
end}

procedure TForm1.ButtonStartClick(Sender: TObject);
begin

  if (start_ = false) then
  begin
    if Start(EditIP.Text, EditLogin.Text, EditPassword.Text) = 0 then begin
      start_ := true;
    end;
  end                
end;

procedure TForm1.ButtonStopClick(Sender: TObject);
begin
  if (start_ = true) then
  begin
    start_ := false;
    Stop;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin

  Init;
  start_ := false;
  counter := 0;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  start_   := false;
  Stop;
  Sleep(1000);

  Dispose;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var
  cs : pCriticalSection;
  bitmap : HBITMAP;
  s : string;
begin
  if (start_ = true) then
  begin

     Form1.Caption := IntToStr(GetFps);
     { if (counter mod 20 = 0) then begin

         if ( iCounterPerSec <> 0) then begin
          QueryPerformanceCounter(C2);
          cres := (C2 - C1) / iCounterPerSec;
          Form1.Caption :=  IntToStr(round(counter / cres));
         end;

         QueryPerformanceFrequency(iCounterPerSec);
         QueryPerformanceCounter(C1);

         counter := 0;

      end;     }
 
      cs := Section_();

      cs.Acquire;

        bitmap := LoadImage_();

        if (bitmap <> 0) then
        begin
          Image1.Picture.Bitmap.Handle := bitmap;
        end;
        s := GetResult();
        if (s <> '') then MemoLog.Lines.Add(s);

      cs.Release;

      //counter := counter+ 1;
      
  end;
end;

end.
